import { OnesTable } from '../../../../../@ones-table/common';
import { ToolbarItem } from '../../table-command-types';
import { CommandBar, FixedToolbar } from '../../command-bar';
import { AbstractCommandBar, CloseReason, CommandItem } from '../../types';
import './group-item.scss';
export default abstract class GroupItem implements ToolbarItem {
    protected table: OnesTable;
    id: string;
    protected clientId: string;
    element: HTMLElement;
    protected toolbar1: FixedToolbar | null;
    protected toolbar2: FixedToolbar | null;
    disableTooltip: boolean;
    name: string;
    classes: string[];
    constructor(table: OnesTable, id: string, clientId: string);
    destroy(): void;
    beforePopup: () => void;
    updateState(): void;
    updateStates(): void;
    close(reason: CloseReason): void;
    protected abstract getItems1(): CommandItem[];
    protected abstract getItems2(): CommandItem[];
    private createElement;
    protected handleClickItem: (bar: AbstractCommandBar, item: CommandItem) => void;
    handleClick: (bar: CommandBar, item: CommandItem) => void;
    private handleTableClick;
}
